### Function

# Camel SMIMEContext util_nss_error_to_string

since: 3.52

#### Declaration [src]

    const gchar*
    camel_smime_context_util_nss_error_to_string (
      gint nss_error_code
    )

#### Description [src]

Utility function to get a localized text description for an error code returned by PORT_GetError().

Note: the function returns always NULL when the library was not compiled with S/MIME support.

Available since: 3.52

#### Parameters

`nss_error_code`

  Type: `gint`

  An error code, as returned by PORT_GetError().

#### Return value

Type: `const gchar*`

A localized text description of the `nss_error_code`, or NULL, when the code is unknown or the library was not compiled with S/MIME support.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.